Get Accounts By Organization

View as Markdown
Get all accounts for an organization. Only returns accounts if the authenticated user is a member of the organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organization_idstringRequired

Response

Successful Response
idstring
Unique account identifier
namestring
Account name
descriptionstring or null
Account description
account_typestring
Account type
organization_idstring
Organization ID
settingsmap from strings to any or null
Account settings
created_atdatetime
When the account was created
updated_atdatetime
When the account was last updated
is_sandboxbooleanOptionalDefaults to false
Whether this is a sandbox account for testing
parent_account_idstring or nullOptional

ID of the parent live account (set for sandbox accounts)

sandbox_account_countinteger or nullOptional

Number of sandbox accounts linked to this account (only for live accounts)

is_archivedbooleanOptionalDefaults to false

Whether this account has been archived (soft-deleted)

brand_settingsobject or nullOptional
Brand customization settings for checkout
invoice_settingsobject or nullOptional
Invoice customization settings
notification_settingsobject or nullOptional

Notification settings for invoice/dunning and channels

billing_portal_settingsobject or nullOptional

Billing portal settings for customer self-service

dunning_settingsobject or nullOptional
Dunning settings for failed payment recovery
checkout_settingsobject or nullOptional
Checkout settings for session configuration and analytics
fraud_settingsobject or nullOptional
Fraud protection settings for card blocking
mit_settingsobject or nullOptional
MIT cascade control settings for subscription payments
cit_processing_enabledbooleanOptionalDefaults to true

Whether CIT (checkout/card) processing is enabled

mit_processing_enabledbooleanOptionalDefaults to true

Whether MIT (subscription/recurring) processing is enabled

default_processor_route_idstring or nullOptional
ID of the default processor route for card checkout. A processor route contains an ordered list of processors tried sequentially as a fallback chain. This route is used when no route is specified on a checkout session.

Errors

422
Unprocessable Entity Error